Subject: RE: [Softwires] Updated: Technical Comparison between L2TPv2 and TSP

From: "Bill Storer \(bstorer\)" <[email-masked]>
Date: Thu, 23 Mar 2006 11:01:50 -0800

I think your staff may be hitting a known problem with ipsec/l2tp over
NAT.  The problem has been fixed, but requires updates in the software
at both ends of the tunnel.  

The following pointers describe details of the problem and the fix.

http://www.cisco.com/en/US/products/ps6350/products_configuration_guide_
chapter09186a00804dfa69.html 

http://support.microsoft.com/kb/818043

Bill

> -----Original Message-----
> From: Tim Chown [mailto:[email-masked]] 
> Sent: Wednesday, March 22, 2006 12:41 PM
> To: [email-masked]
> Subject: Re: [Softwires] Updated: Technical Comparison 
> between L2TPv2 and TSP
> 
> Hi,
> 
> Just a comment regarding 'handwaving' about problems running L2TP VPNs
> behind NATs.
> 
> I see anecdotal comments about problems, mainly from our nomadic staff
> who use VPNs from hotels and conference areas in which NAT is almost a
> given.   Sometimes PPTP VPNs will work where L2TP does not.   
> 
> This scenario is more towards the nomadic IPv6 user rather than the
> 'dense' large-scale deployment within a given (broadband) ISP for its 
> own customers (who may typically have ISP-supplied DSL routers).
> 
> The scenario where the SOHO CPE is the tunnel endpoint would generally
> remove the NAT traversal requirement.   This is the solution I would
> personally prefer to use, but of course that requires functionality
> in commodity CPEs that as yet don't either have native IPv6 support.
> 
> Tim
> 
> _______________________________________________
> Softwires mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/softwires
> 

_______________________________________________
Softwires mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/softwires